﻿using System.ComponentModel.DataAnnotations;

namespace RecordMyRuck.Models
{
    public class RuckUpload
    {
        [Required]
        [Display(Name = "Date/Time")]
        [DataType(DataType.DateTime)]
        public DateTime DateTime { get; set; }

        [Required]
        public IFormFile Route { get; set; }

        [Required]
        [Display(Name = "Weigh (lb)")]
        public float WeightPounds { get; set; }

        [DataType(DataType.MultilineText)]
        public string Notes { get; set; } = "";
    }
}
