﻿using Microsoft.EntityFrameworkCore;
using System.ComponentModel.DataAnnotations;

namespace RecordMyRuck.Models
{
    [PrimaryKey(nameof(DateTime))]
    public class Ruck
    {
        [Required]
        [Display(Name = "Date/Time")]
        [DataType(DataType.DateTime)]
        public DateTime DateTime { get; set; }

        [Required]
        public string Route { get; set; }

        [Required]
        [Display(Name = "Weigh (lb)")]

        public float WeightPounds { get; set; }

        [DataType(DataType.MultilineText)]
        public string Notes { get; set; } = "";
    }
}
